Subject: [lamps] RFC 6844 Errata remains in caa-simplification draft

From: [email-masked]
Date: Thu, 29 Mar 2018 17:05:00 +0900 (JST)

Both draft-hoffman-andrews-caa-simplification-03 and
https://github.com/jsha/caa-simplification/ have RFC 6844 Errata.

RFC 6844 Errata is https://www.rfc-editor.org/errata/rfc6844 .

* Errata ID: 3547

  Errata 3547 says [HB2011] should be [RFC6844].

  And more, all "Reference" in IANA considerations section should be
  changed as new draft because caa-simplification draft obsoletes RFC 6844.

  For example, RFC 6891 EDNS0 Extensions updates old RFC 2671 and it
  states that "IANA has updated references to [RFC2671] in these
  entries and subregistries to this document."

* Errata ID: 3528 and 3532

  Remaining in draft-ietf-lamps-rfc6844bis-00.md .

| 1-7        | Reserved>                         | {{!RFC6844}}
               ^^^^^^^^^

* Errata ID: 5200

  Which is correct ?
    <Issuer Domain Name> [; <name>=<value> ]*
    	    written in Section 3 of RFC 6844

    issuevalue = space [domain] space [";" *(space parameter) space]
    	    written in Section 5.2 of RFC 6844

* Errata ID: 4070

  Errata 4070 remains in -03 and caa-simplification in github.

  However, we can use FQDN in the resource record and remove "$ORIGIN".

---
$ORIGIN example.com
.       CAA 0 issue "ca.example.net"
--- is incorrect written in "Errata ID: 4070".

---
$ORIGIN example.com
        CAA 0 issue "ca.example.net"
--- is correct but use of default domain name is a little unclear.
    "$ORIGIN example.com" may be "$ORIGIN example.com."

  Tailing dot is important.

---
example.com. CAA 0 issue "ca.example.net"
--- is simple and sufficient.

Other parts are also possible to simplify.

---
example.com. CAA 0 issue "ca.example.net"
example.com. CAA 0 iodef "mailto:[email-masked]"
example.com. CAA 0 iodef "http://iodef.example.com/"

example.com. CAA 0 issue "ca.example.net; account=230123"

example.com. CAA 0 issue "ca.example.net; policy=ev"
example.com. CAA 128 tbs "Unknown"
---

--
Kazunori Fujiwara, JPRS <[email-masked]>